#include <iostream>
#include <fstream>
#include<iomanip>
#include<cmath>
#include<vector>
#define max 10000000
using namespace std;
int main()
{
	int n,i,j;
	vector<bool> snt(max+1,true);
	vector<int> p(max+1,0);
	ifstream fi("Prime.inp");
    fi>>n;
	fi.close();
	ofstream fo("Prime.out");
	snt[0]=snt[1]=false;
	for(i=2;i<=max;i++)
	{
		if(snt[i]==true)
		{
			for(j=i*2;j<=max;j+=i)
			{
				snt[j]=false;
			}
		}
	}
	j=0;
	for(i=2;i<max;i++)
	{
		if(snt[i]==true)
		{
			j++;
			p[j]=i;
		}
	}
	fo<<p[n];
	fo.close();
	return 0;
}
